Index Page mequg_c
A B C D E F G H I J K L M N O P Q R S T U V W X
Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries
#### Procedure
       void mequg_c ( const void   * m1,
                      SpiceInt       nr,
                      SpiceInt       nc,
                      void         * mout )
#### Abstract
       Set one double precision matrix of arbitrary size equal to
       another.
#### Required_Reading
       None.
#### Keywords
       ASSIGNMENT
       MATRIX
#### Brief_I/O
       VARIABLE  I/O  DESCRIPTION
       --------  ---  --------------------------------------------------
        m1        I     Input matrix.
        nr        I     Row dimension of m1 (and also mout).
        nc        I     Column dimension of m1 (and also mout).
        mout      O     Output matrix equal to m1.
#### Detailed_Input
       m1      is an arbitrary-sized double precision matrix.
               There are no restrictions on what it may contain.

       nr      is the number of rows in the input matrix.

       nc      is the number of columns in the input matrix.
#### Detailed_Output
       mout    This matrix is set to be equal to m1.
#### Parameters
       None.
#### Exceptions
       1) If nr < 1 or nc < 1, the elements of the matrix mout are not
          assigned any values, i.e. all zeros.
#### Files
       None.
#### Particulars
       None.
#### Examples
       If  m1 = | 1.0   2.0 |
                |           |
                | 2.0   4.0 |
                |           |
                | 4.0   6.0 |

       the call

         mequg_c ( m1, 3, 2, mout )

       produces the matrix

         mout = | 1.0   2.0 |
                |           |
                | 2.0   4.0 |
                |           |
                | 4.0   6.0 |
#### Restrictions
       None.
#### Literature_References
       None.
#### Author_and_Institution
       W.M. Owen       (JPL)
       E.D. Wright     (JPL)
#### Version
       -CSPICE Version 1.2.0, 28-AUG-2001 (NJB)

          Const-qualified input array.

       -CSPICE Version 1.0.0, 31-MAR-1998   (EDW)
#### Index_Entries
       equal to another n-dimensional matrix
#### Link to routine mequg_c source file mequg_c.c

    Wed Jun  9 13:05:26 2010